# DataExchange
TKSTEPBase
StepShape

# StepShape_PrecisionQualifier Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_PrecisionQualifier.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_PrecisionQualifier ()
Standard_EXPORT void | Init (const Standard_Integer precision_value)
Standard_EXPORT Standard_Integer | PrecisionValue () const
Standard_EXPORT void | SetPrecisionValue (const Standard_Integer precision_value)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | thePrecisionValue

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_PrecisionQualifier::StepShape_PrecisionQualifier | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_PrecisionQualifier::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_PrecisionQualifier::Init | ( | const Standard_Integer | precision_value | ) |

Standard_EXPORT Standard_Integer StepShape_PrecisionQualifier::PrecisionValue | ( |  | ) | const

Standard_EXPORT void StepShape_PrecisionQualifier::SetPrecisionValue | ( | const Standard_Integer | precision_value | ) |

## Field Documentation

Standard_Integer StepShape_PrecisionQualifier::thePrecisionValue `[private]`

The documentation for this class was generated from the following file:

- StepShape_PrecisionQualifier.hxx